hpp-core: Configuration Sampling

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Classes | Functions
Configuration Sampling

## Classes
class | hpp::core::ConfigurationShooter
class | hpp::core::configurationShooter::Gaussian
class | hpp::core::configurationShooter::UniformTpl< generator_t >
| Uniformly sample with bounds of degrees of freedom using a custom generator. More...
class | hpp::core::configurationShooter::Uniform
| Uniformly sample with bounds of degrees of freedom. More...

## Functions
virtual Configuration_t | hpp::core::ConfigurationShooter::shoot () const
| Shoot a random configuration.
virtual void | hpp::core::ConfigurationShooter::shoot (Configuration_t &q) const
virtual | hpp::core::ConfigurationShooter::~ConfigurationShooter ()
| hpp::core::ConfigurationShooter::ConfigurationShooter ()
void | hpp::core::ConfigurationShooter::init (const ConfigurationShooterWkPtr_t &weak)
| Store weak pointer to itself.
virtual void | hpp::core::ConfigurationShooter::impl_shoot (Configuration_t &q) const =0

## Detailed Description

Random sampling of robot configurations for random path planning.

## Function Documentation

## ◆ ConfigurationShooter()

hpp::core::ConfigurationShooter::ConfigurationShooter | ( |  | ) |
| inlineprotected

## ◆ impl_shoot()

virtual void hpp::core::ConfigurationShooter::impl_shoot | ( | Configuration_t & | q | ) | const
| protectedpure virtual

Implemented in hpp::core::configurationShooter::Gaussian, hpp::core::configurationShooter::UniformTpl< generator_t >, and hpp::core::configurationShooter::Uniform.

## ◆ init()

void hpp::core::ConfigurationShooter::init | ( | const ConfigurationShooterWkPtr_t & | weak | ) |
| inlineprotected

Store weak pointer to itself.

## ◆ shoot() [1/2]

virtual Configuration_t hpp::core::ConfigurationShooter::shoot | ( |  | ) | const
| inlinevirtual

Shoot a random configuration.

## ◆ shoot() [2/2]

virtual void hpp::core::ConfigurationShooter::shoot | ( | Configuration_t & | q | ) | const
| inlinevirtual

Shoot a random configuration

Parameters

  q | the configuration (resized if necessary).

Deprecated:
  This method is virtual for backward compatibility. It will become non-virtual in the future. Child classes should rather implement impl_shoot so that both prototype of method shoot remain available.

## ◆ ~ConfigurationShooter()

virtual hpp::core::ConfigurationShooter::~ConfigurationShooter | ( |  | ) |
| inlinevirtual